htmlfont_be.h File Reference
`#include <gwenhywfar/list1.h>`
`#include <gwenhywfar/inherit.h>`

Go to the source code of this file.

## Macros

#define | HTML_FONT_FLAGS_ITALIC 0x00000002
#define | HTML_FONT_FLAGS_NONE 0x00000000
#define | HTML_FONT_FLAGS_STRONG 0x00000001
#define | HTML_FONT_FLAGS_UNDERLINE 0x00000004

## Typedefs

typedef struct HTML_FONT | HTML_FONT

## Functions

GWENHYWFAR_API void | HtmlFont_AddFontFlags (HTML_FONT *fnt, uint32_t i)
GWENHYWFAR_API void | HtmlFont_Attach (HTML_FONT *fnt)
GWENHYWFAR_API void | HtmlFont_free (HTML_FONT *fnt)
GWENHYWFAR_API uint32_t | HtmlFont_GetFontFlags (const HTML_FONT *fnt)
GWENHYWFAR_API const char * | HtmlFont_GetFontName (const HTML_FONT *fnt)
GWENHYWFAR_API int | HtmlFont_GetFontSize (const HTML_FONT *fnt)
GWENHYWFAR_API HTML_FONT * | HtmlFont_new (void)
GWENHYWFAR_API void | HtmlFont_SetFontFlags (HTML_FONT *fnt, uint32_t i)
GWENHYWFAR_API void | HtmlFont_SetFontName (HTML_FONT *fnt, const char *s)
GWENHYWFAR_API void | HtmlFont_SetFontSize (HTML_FONT *fnt, int i)
GWENHYWFAR_API void | HtmlFont_SubFontFlags (HTML_FONT *fnt, uint32_t i)

## Macro Definition Documentation

## HTML_FONT_FLAGS_ITALIC

#define HTML_FONT_FLAGS_ITALIC 0x00000002

Definition at line 30 of file htmlfont_be.h.

## HTML_FONT_FLAGS_NONE

#define HTML_FONT_FLAGS_NONE 0x00000000

Definition at line 28 of file htmlfont_be.h.

## HTML_FONT_FLAGS_STRONG

#define HTML_FONT_FLAGS_STRONG 0x00000001

Definition at line 29 of file htmlfont_be.h.

## HTML_FONT_FLAGS_UNDERLINE

#define HTML_FONT_FLAGS_UNDERLINE 0x00000004

Definition at line 31 of file htmlfont_be.h.

## Typedef Documentation

## HTML_FONT

typedef struct HTML_FONT HTML_FONT

Definition at line 23 of file htmlfont_be.h.

## Function Documentation

## HtmlFont_AddFontFlags()

GWENHYWFAR_API void HtmlFont_AddFontFlags | ( | HTML_FONT * | fnt,
|  | uint32_t | i )

References GWENHYWFAR_API.

## HtmlFont_Attach()

GWENHYWFAR_API void HtmlFont_Attach | ( | HTML_FONT * | fnt | ) |

References GWENHYWFAR_API.

## HtmlFont_free()

GWENHYWFAR_API void HtmlFont_free | ( | HTML_FONT * | fnt | ) |

References GWENHYWFAR_API.

## HtmlFont_GetFontFlags()

GWENHYWFAR_API uint32_t HtmlFont_GetFontFlags | ( | const HTML_FONT * | fnt | ) |

References GWENHYWFAR_API.

## HtmlFont_GetFontName()

GWENHYWFAR_API const char * HtmlFont_GetFontName | ( | const HTML_FONT * | fnt | ) |

References GWENHYWFAR_API.

## HtmlFont_GetFontSize()

GWENHYWFAR_API int HtmlFont_GetFontSize | ( | const HTML_FONT * | fnt | ) |

References GWENHYWFAR_API.

## HtmlFont_new()

GWENHYWFAR_API HTML_FONT * HtmlFont_new | ( | void |  | ) |

References GWENHYWFAR_API.

## HtmlFont_SetFontFlags()

GWENHYWFAR_API void HtmlFont_SetFontFlags | ( | HTML_FONT * | fnt,
|  | uint32_t | i )

References GWENHYWFAR_API.

## HtmlFont_SetFontName()

GWENHYWFAR_API void HtmlFont_SetFontName | ( | HTML_FONT * | fnt,
|  | const char * | s )

References GWENHYWFAR_API.

## HtmlFont_SetFontSize()

GWENHYWFAR_API void HtmlFont_SetFontSize | ( | HTML_FONT * | fnt,
|  | int | i )

References GWENHYWFAR_API.

## HtmlFont_SubFontFlags()

GWENHYWFAR_API void HtmlFont_SubFontFlags | ( | HTML_FONT * | fnt,
|  | uint32_t | i )